<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.chart.*?>
<?import javafx.scene.text.*?>
<?import javafx.scene.canvas.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.AnchorPane?>

<GridPane fx:id="chartsGrid" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="675.0" prefWidth="1200.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.ChartsController">
  <columnConstraints>
    <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" maxWidth="-Infinity" minWidth="-Infinity" percentWidth="60.0" prefWidth="700.0" />
      <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" maxWidth="-Infinity" minWidth="-Infinity" percentWidth="40.0" prefWidth="500.0" />
  </columnConstraints>
  <rowConstraints>
      <RowConstraints fillHeight="false" maxHeight="1.7976931348623157E308" minHeight="10.0" percentHeight="40.0" valignment="TOP" vgrow="SOMETIMES" />
      <RowConstraints fillHeight="false" maxHeight="1.7976931348623157E308" minHeight="10.0" percentHeight="50.0" prefHeight="30.0" valignment="TOP" vgrow="SOMETIMES" />
  </rowConstraints>
   <children>
      <VBox spacing="15.0" GridPane.columnIndex="1" GridPane.rowSpan="2147483647">
         <children>
            <HBox alignment="CENTER" spacing="10.0">
               <children>
                  <TextField fx:id="repsField" promptText="Ilość powtórzeń" />
                  <TextField fx:id="citiesField" promptText="Ilość miast" />
               </children>
               <VBox.margin>
                  <Insets top="5.0" />
               </VBox.margin>
            </HBox>
            <Separator prefWidth="200.0" />
            <CheckBox fx:id="bfCheck" mnemonicParsing="false" text="BF">
               <tooltip>
                  <Tooltip text="Algorytm Bruteforce" />
               </tooltip>
            </CheckBox>
            <Separator prefWidth="200.0" />
            <CheckBox fx:id="bfGPUCheck" mnemonicParsing="false" text="BF GPU">
               <tooltip>
                  <Tooltip text="Algorytm Bruteforce" />
               </tooltip>
            </CheckBox>
            <Separator prefWidth="200.0" />
            <HBox alignment="CENTER" spacing="25.0">
               <children>
                  <VBox alignment="CENTER_LEFT" spacing="5.0">
                     <children>
                        <CheckBox fx:id="genCheck" mnemonicParsing="false" text="GEN">
                           <tooltip>
                              <Tooltip text="Algorytm Genetyczny" />
                           </tooltip>
                        </CheckBox>
                        <CheckBox fx:id="greedyCheck2" minWidth="-Infinity" mnemonicParsing="false" prefWidth="100.0" text="Greedy">
                           <tooltip>
                              <Tooltip text="Algorytm zachłanny" />
                           </tooltip>
                        </CheckBox>
                     </children>
                  </VBox>
                  <GridPane hgap="5.0" prefHeight="64.0" prefWidth="569.0">
                     <children>
                        <TextField fx:id="specimensField2" alignment="CENTER" promptText="Liczba osobników" />
                        <TextField fx:id="islandsField2" alignment="CENTER" promptText="Liczba wysp" GridPane.columnIndex="1" />
                        <TextField fx:id="iterationsField2" alignment="CENTER" promptText="Liczba iteracji" GridPane.rowIndex="2" />
                        <TextField fx:id="changesField2" alignment="CENTER" promptText="Liczba zmian" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                        <TextField fx:id="mutationField2" alignment="CENTER" promptText="Szansa na mutację" GridPane.rowIndex="1">
                           <tooltip>
                              <Tooltip text="Procentowa szansa na mutację, liczba z zakresu od 0 do 100" />
                           </tooltip>
                        </TextField>
                        <TextField fx:id="migrationField2" alignment="CENTER" promptText="Szansa na migrację" GridPane.columnIndex="1" GridPane.rowIndex="1">
                           <tooltip>
                              <Tooltip text="Procentowa szansa na migrację, liczba z zakresu od 0 do 100" />
                           </tooltip>
                        </TextField>
                     </children>
                     <columnConstraints>
                        <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                  </GridPane>
               </children>
            </HBox>
            <Separator prefWidth="200.0" />
            <HBox alignment="CENTER" spacing="25.0">
               <children>
                  <VBox alignment="CENTER_LEFT" minWidth="-Infinity" prefHeight="87.0" prefWidth="102.0" spacing="5.0">
                     <children>
                        <CheckBox fx:id="genThreadsCheck" mnemonicParsing="false" prefHeight="18.0" prefWidth="92.0" text="GEN THR">
                           <tooltip>
                              <Tooltip text="Algorytm Genetyczny na wątkach" />
                           </tooltip>
                        </CheckBox>
                        <CheckBox fx:id="greedyCheck3" mnemonicParsing="false" text="Greedy">
                           <tooltip>
                              <Tooltip text="Algorytm zachłanny" />
                           </tooltip>
                        </CheckBox>
                     </children>
                  </VBox>
                  <GridPane hgap="5.0" prefHeight="64.0" prefWidth="569.0">
                     <children>
                        <TextField fx:id="specimensField3" alignment="CENTER" promptText="Liczba osobników" />
                        <TextField fx:id="islandsField3" alignment="CENTER" promptText="Liczba wysp" GridPane.columnIndex="1" />
                        <TextField fx:id="iterationsField3" alignment="CENTER" promptText="Liczba iteracji" GridPane.rowIndex="2" />
                        <TextField fx:id="changesField3" alignment="CENTER" promptText="Liczba zmian" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                        <TextField fx:id="mutationField3" alignment="CENTER" promptText="Szansa na mutację" GridPane.rowIndex="1">
                           <tooltip>
                              <Tooltip text="Procentowa szansa na mutację, liczba z zakresu od 0 do 100" />
                           </tooltip>
                        </TextField>
                        <TextField fx:id="migrationField3" alignment="CENTER" promptText="Szansa na migrację" GridPane.columnIndex="1" GridPane.rowIndex="1">
                           <tooltip>
                              <Tooltip text="Procentowa szansa na migrację, liczba z zakresu od 0 do 100" />
                           </tooltip>
                        </TextField>
                     </children>
                     <columnConstraints>
                        <ColumnConstraints halignment="CENTER" hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                        <ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                     </rowConstraints>
                  </GridPane>
               </children>
            </HBox>
            <Separator prefWidth="200.0" />
            <HBox alignment="CENTER" layoutX="192.0" spacing="10.0">
               <children>
                  <Button mnemonicParsing="false" onAction="#runTests" text="Wykonaj testy" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="192.0" AnchorPane.rightAnchor="192.0" AnchorPane.topAnchor="0.0" />
                  <Button mnemonicParsing="false" onAction="#printCharts" text="Generuj wykres" />
               </children>
            </HBox>
         </children>
         <GridPane.margin>
            <Insets bottom="5.0" right="5.0" top="5.0" />
         </GridPane.margin>
      </VBox>
   </children>
</GridPane>
